<!-- Andriy Andrusevych
IT Generation
Вставити таймер у тест -->
<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
	<style>
		.student-info {
			display: flex;
			width: 70%;
			margin: 30px auto;
			justify-content: space-around;
		}

		ul {
			list-style: none;
		}

		#result {
			position: fixed;
			background: white;
			padding: 20px;
			right: 20px;
			top: 20px;
		}

		.bgGreen {
			background: green;
		}

		.bgRed {
			background: red;
		}

		.counterWrapper {
			padding: 10px 10px;
			display: flex;
			justify-content: center;
		}

		.counterTitle {
			font-weight: bold;
			padding: 10px;
		}

		#counter {
			color: green;
			padding: 10px 10px;
		}
	</style>
</head>

<body>
	<div class="counterWrapper">
	<!-- <button id="stoptimer" onclick="clearInterval(timer)">Stop Timer</button> -->
		<div class="counterTitle">Time elapsed: </div>
		<div id="counter"></div>
	</div>
	<form action="">
		<div class="test-item">
			<fieldset><span class="test-number"></span><span class="test-question">Что обозначает приставка Java в имени
					JavaScript?</span>
				<ul>
					<li><input type="radio" name="question1">A. Язык JavaScript и Java это одно и тоже.</li>
					<li><input type="radio" name="question1">B. Эта приставка указывает что это язык есть
						облегчённой версией языка Java.</li>
					<li><input type="radio" name="question1" value="true"> C. Это только название, которое никак не
						связывает этот
						язык с языком Java.</li>
					<li><input type="radio" name="question1">D. То что эти два языка программирования выпустила
						одна и та же компания.</li>
				</ul>
			</fieldset>
		</div>
		<div class="test-item">
			<fieldset><span class="test-number"></span><span class="test-question">Что такое идентификатор в
					JavaScript?</span>
				<ul>
					<li><input type="radio" name="question2" value="true">A. Это имя переменной или функции.</li>
					<li><input type="radio" name="question2">B. Это тип данных - Объект</li>
					<li><input type="radio" name="question2"> C. Это тип данных - Функция</li>
					<li><input type="radio" name="question2">D. Это тип данных - Массив</li>
				</ul>
			</fieldset>
		</div>

		<div class="test-item">
			<fieldset><span class="test-number"></span><span class="test-question">Какие элементарные типы есть в
					JavaScript?</span>
				<ul>
					<li><input type="checkbox" value="true">A. Number, String, Boolean</li>
					<li><input type="checkbox">B. Object, Boolean, String</li>
					<li><input type="checkbox">C. Array, null, String</li>
					<li><input type="checkbox" value="true">D. undefined, null, Number</li>
				</ul>
			</fieldset>
		</div>

		<div class="test-item">
			<fieldset><span class="test-number"></span><span class="test-question">Назовите три функции для работы с
					диалоговыми окнами?</span>
				<ul>
					<li><input type="radio" name="question4">A. alert(); Console.WriteLine(); print();</li>
					<li><input type="radio" name="question4">B. alert(); prompt(); print();</li>
					<li><input type="radio" name="question4" value="true">C. alert(); prompt(); confirm();</li>
					<li><input type="radio" name="question4">D. select(); prompt(); print();</li>
				</ul>
			</fieldset>
		</div>

		<div class="test-item">
			<fieldset><span class="test-number"></span><span class="test-question">Язык JavaScript является?</span>
				<ul>
					<li><input type="checkbox" value="true"> A. Прототипно-ориентированный скриптовый язык
						программирования.</li>
					<li><input type="checkbox" value="true">B. Cобытийно-ориентированный язык
						программирования.</li>
					<li><input type="checkbox">C. Процедурный язык программирования.</li>
					<li><input type="checkbox">D. Аспектно-ориентированый язык программирования.</li>
				</ul>
			</fieldset>
		</div>
		<div class="student-info">
			Имя: <input type="text" id="test">
			Фамиллия: <input type="text">
			<input type="submit" id="sendBtn" value="Отправить">
		</div>
		<div id="result"> </div>
	</form>
	<script>
		const result = document.querySelector('#result');
		const questionNumber = document.querySelectorAll('.test-number');
		const sendBtn = document.querySelector('#sendBtn');
		let question = document.querySelectorAll('input[type="radio"]');
		let mark = 0;
		test.addEventListener('click', function (e) {
			console.log(e)
		})

		for (i = 0; i < questionNumber.length; i++) {
			questionNumber[i].innerHTML = `<b>${i + 1}.</b> `
		}

		sendBtn.addEventListener('click', getResult);

		function getResult(e) {
			e.preventDefault();
			for (i = 0; i < question.length; i++) {
				if (question[i].checked == true && question[i].value == 'true') {
					++mark
					result.innerHTML = `Результат:${mark}`;
					question[i].parentElement.classList.toggle('bgGreen');
					// question[i].disabled = true
				}
				else if (question[i].checked == true && question[i].value == 'on') {
					question[i].parentElement.classList.toggle('bgRed');
				}
			}
			this.disabled = true
		}
		//counter
		var seconds = 0;
		var timer = setInterval(upTimer, 1000);
		function upTimer() {
			++seconds;
			if (seconds==40*60){
				clearInterval(timer);
			}
			var hour = Math.floor(seconds / 3600);
			var minute = Math.floor((seconds - hour * 3600) / 60);
			var updSecond = seconds - (hour * 3600 + minute * 60);
			document.getElementById("counter").innerHTML = hour + " h " + ": " + minute + " min " + ": " + updSecond + " s";
		}
	</script>
</body>

</html>